X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Just installed mountain lion but firefox still saying I need to upgrade to work latest version

Posted

When pushing the update tab or going directly to mozilla site it says "your system doesn't meet the requirements to run firefox"

Chosen solution

I'm sorry I hadn't restarted my computer. After restarting firefox/Icloud is now working. Thank you very much for your help!

Read this answer in context 1

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.5 r502
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • Displays Java applet content, or a placeholder if Java is not installed.
  • DivX VOD Helper Plug-in
  • DivX Plus Web Player version 2.2.1.3
  • 5.1.10411.0
  • The Flip4Mac WMV Plugin allows you to view Windows Media content using QuickTime.
  • SOE Web Installer
  • D'Fusion Web Plug-In (2.0.6972.0)
  • iPhoto6

Application

  • User Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.1.8) Gecko/20100202 Firefox/3.5.8 FBSMTWB

More Information

philipp
  • Top 10 Contributor
  • Moderator
2042 solutions 8887 answers

hello, your useragent (the information the browser sends to websites to identify its version) - apparently mistakenly - shows you're on firefox version 3.5.8. probably some sort of toolbar or adware has overwritten it. please refer to this article in order to reset the user-agent settings in firefox: Websites say that Firefox is outdated or incompatible even though it's the latest version

Question owner

The information presented there explains what to do in Windows. Is there any step by step info for Mac?

philipp
  • Top 10 Contributor
  • Moderator
2042 solutions 8887 answers

it is the same procedure on both systems, there shouldn't be a problem following the steps mentioned in the article to reset your user agent...

Question owner

I've done each step and still saying I need to upgrade. Currently I'm running Firefox 18.0.2 but somehow I'm seen as not. Can't connect for instance to Icloud.

philipp
  • Top 10 Contributor
  • Moderator
2042 solutions 8887 answers

Helpful Reply

when you go to http://browserspy.dk/useragent.php which UserAgent from header does it show - does it end with Firefox/18.0? if not you could also try to generally reset firefox: Reset Firefox – easily fix most problems

Question owner

It does end with Firefox/18.o

cor-el
  • Top 10 Contributor
  • Moderator
10738 solutions 96600 answers

Helpful Reply

What is the current user agent as shown on the browserspy.dk site?

Did you reset all general.useragent prefs to the default?

If you do not keep changes after a restart then see:


Clear the cache and the cookies from sites that cause problems.

"Clear the Cache":

  • Firefox > Preferences > Advanced > Network > Cached Web Content: "Clear Now"

"Remove Cookies" from sites causing problems:

  • Firefox > Preferences > Privacy > Cookies: "Show Cookies"

Chosen Solution

I'm sorry I hadn't restarted my computer. After restarting firefox/Icloud is now working. Thank you very much for your help!